<template>
  <portal-page class="q-px-lg">
    <div class="row q-gutter-lg">
      <div class="col">
        <p class="title-msg title-medium flex items-base justify-between">
          Saved Jobs
          <span style="font-size: 12px; color: #9b9b9b"
            >{{
              jobStore.jobs.filter((item) => item.is_saved === true).length
            }}
            JOBS</span
          >
        </p>
      </div>
    </div>

    <div class="row">
      <div
        v-for="(job, k) in jobStore.savedJobs"
        :key="k"
        class="q-mt-md"
        :class="
          $q.screen.lt.sm ? 'col-12' : $q.screen.lt.md ? 'col-6' : 'col-4'
        "
      >
        <saved-jobs-list-card :job="job.job_post" />
      </div>
    </div>
  </portal-page>
</template>

<script>
import PortalPage from "src/layouts/portals/PortalPage.vue";
import SavedJobsListCard from "../components/cards/jobseeker/SavedJobsListCard.vue";
import { defineComponent } from "vue";
import { useJob } from "../store/job";

export default defineComponent({
  name: "SavedJobsPage",
  components: {
    PortalPage,
    SavedJobsListCard,
  },

  setup() {
    const jobStore = useJob();
    const { getSavedJobs } = jobStore;

    getSavedJobs();

    return {
      jobStore,
    };
  },
});
</script>

<style lang="scss" scoped>
.title-msg {
  color: $dark-blue !important;
  margin: 0 !important;
  padding-top: 35px !important;
  padding-bottom: 35px !important;
}
</style>
